## kodi-audioencoder-flac 3.0.0%2Bds1

=== debian/changelog ===
kodi-audioencoder-flac (3.0.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:43 +0000

kodi-audioencoder-flac (3.0.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 07:32:34 +0000

## kodi-audioencoder-flac 21.0.2+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(audioencoder.flac)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(FLAC REQUIRED)
find_package(Ogg REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    ${FLAC_INCLUDE_DIRS}
                    ${OGG_INCLUDE_DIRS})

set(FLAC_SOURCES src/EncoderFlac.cpp)

set(DEPLIBS ${FLAC_LIBRARIES} ${OGG_LIBRARIES})

# on win32 we use a static version of libflac so we need to define FLAC__NO_DLL
if(WIN32)
  add_definitions(-DFLAC__NO_DLL)
endif()

build_addon(audioencoder.flac FLAC DEPLIBS)

include(CPack)

## kodi-audioencoder-flac 3.0.0+ds1

=== debian/control ===
Source: kodi-audioencoder-flac
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libflac-dev,
               libogg-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac.git
Homepage: https://kodi.tv

Package: kodi-audioencoder-flac
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:AUDIOENCODERAPI}
Description: FLAC audio encoder add-on for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package ia an audio encoder add-on for Kodi. It is needed to convert
 Audio-CD to FLAC.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/audioencoder.flac/releases \
/xbmc/audioencoder.flac/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-audioencoder-flac 19.0.0+ds1

=== debian/changelog ===
kodi-audioencoder-flac (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:06 +0000

kodi-audioencoder-flac (3.0.0+ds1-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:37:48 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                kodi-addons-dev (>= 2:19~),
                libflac-dev,
                libogg-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/audioencoder.flac/releases \
/xbmc/audioencoder.flac/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-audioencoder-flac 19.0.1+ds1

=== debian/changelog ===
kodi-audioencoder-flac (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:10 +0000

kodi-audioencoder-flac (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:48:14 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libflac-dev,
                libogg-dev
 Standards-Version: 4.6.0

## kodi-audioencoder-flac 20.2.0+ds1

=== debian/changelog ===
kodi-audioencoder-flac (20.2.0+ds1-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:07 +1100

kodi-audioencoder-flac (20.2.0+ds1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:41 +1100

kodi-audioencoder-flac (20.2.0+ds1-2build1) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:53:56 +0000

kodi-audioencoder-flac (20.2.0+ds1-2) unstable; urgency=medium

  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:10 +0000

kodi-audioencoder-flac (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kodi-audioencoder-flac
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libflac-dev,
                libogg-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/audioencoder.flac \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-audioencoder-flac 21.0.2%2Bds

=== debian/changelog ===
kodi-audioencoder-flac (21.0.2+ds-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:36:20 -0500

kodi-audioencoder-flac (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:44:50 +0000

kodi-audioencoder-flac (20.2.0+ds1-4) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:12:43 +0000

kodi-audioencoder-flac (20.2.0+ds1-3) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:44:50 +0000

## kodi-audioencoder-flac 21.0.2+ds

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kodi-audioencoder-flac
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libflac-dev,
                libogg-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audioencoder-flac.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-audioencoder-flac
